Skip to main content
PUT
/
evidence-templates
/
{id}
Upsert evidence template
curl --request PUT \
  --url https://mycluster.domino.tech/evidence-templates/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "artifacts": [
    {
      "details": {},
      "id": "<string>",
      "required": true,
      "visibilityRule": "<string>",
      "visible": true
    }
  ],
  "createdAt": "<string>",
  "description": "<string>",
  "externalId": "<string>",
  "id": "<string>",
  "name": "<string>"
}

Path Parameters

id
string
required

ID of evidence template to upsert

Body

application/json

Evidence template to upsert

name
string
required
description
string

Response

OK

artifacts
object[]
createdAt
string
description
string
externalId
string
id
string
name
string
scope
enum<string>
Available options:
Global,
Local
status
enum<string>
Available options:
Draft,
Published